Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1054715 - [welcome page] duplicated content on welcome page
Summary: [welcome page] duplicated content on welcome page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.4.0
Assignee: Alexander Wels
QA Contact: Jiri Belka
URL:
Whiteboard: ux
Depends On:
Blocks: 1055625 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-17 10:53 UTC by Jiri Belka
Modified: 2014-09-18 12:24 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Bug Fix
Doc Text:
Previously, the default behavior of themes was to append new branding templates to the existing template, so the Portals section on the welcome page contained duplicate content. Now, this default behavior can be overriden, which allows a new theme to completely replace the default welcome page.
Clone Of:
: 1055625 (view as bug list)
Environment:
Last Closed:
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screenshot (deleted)
2014-01-17 10:53 UTC, Jiri Belka
no flags Details
screen-shot: Welcome Page - no duplication (deleted)
2014-01-17 18:31 UTC, Einav Cohen
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 21195 None None None Never

Description Jiri Belka 2014-01-17 10:53:22 UTC
Created attachment 851505 [details]
screenshot

Description of problem:

duplicated content - Portal section!

Welcome to Red Hat Enterprise Virtualization Manager.
Version 3.3.0-0.45.el6ev

Portals

User Portal
Administration Portal
Reports Portal

Downloads

Portals

User Portal
Administration Portal
Reports Portal

Documentation

Administration Guide [PDF]
CLI Guide [PDF]
Developer Guide [PDF]
Evaluation Guide [PDF]
Installation Guide [PDF]
Power User Portal Guide [PDF]
Quick Start Guide [PDF]
Technical Reference Guide [PDF]
User Portal Guide [PDF]
V2V Guide [PDF]

Support

Getting Support
RHEV Users Group
Knowledge Base


Version-Release number of selected component (if applicable):
is32.2

How reproducible:
100%

Steps to Reproduce:
1.open welcome page
2.
3.

Actual results:
Portals section is there twice (second links are odd)

Expected results:
just one and working links

Additional info:

Comment 1 Itamar Heim 2014-01-17 17:51:01 UTC
flagging urgent till researched

Comment 2 Einav Cohen 2014-01-17 18:31:01 UTC
Created attachment 851752 [details]
screen-shot: Welcome Page - no duplication

Comment 3 Einav Cohen 2014-01-17 18:35:39 UTC
- see attachment 851752 [details] - welcome page of the exact same rhevm version looks correct (I checked two such setups).

- apart from the fact that the Portals section is duplicated, it seems that the Downloads section is empty, for some reason.

Comment 8 Einav Cohen 2014-02-13 12:54:52 UTC
moving back to MODIFIED - AFAIR, this problem exists only in downstream, not in upstream. this BZ should move to ON_QA once the downstream build is released.

Comment 10 Jiri Belka 2014-02-25 08:57:35 UTC
this is downstream only issue, not reproducible on upstream 'beta3' and on 'av1' is it OK.

Comment 11 Alexander Wels 2014-02-25 18:43:26 UTC
This is downstream only issue and thus not mentioned in upstream notes.

Comment 12 Itamar Heim 2014-06-12 14:11:37 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.